function apodize, l1, l2, f, percent

;
; Apodize the ends of a spectrum with a cosine bell
;

fap = f
nw = n_elements(f)

nsquash = min([nw*0.01*percent,float((l2-l1)/2)])
if (nsquash lt 1) then stop

for i=0, nsquash-1 do begin
    arg = !pi * float(i)/(nsquash-1)
    factor = .5 * (1 - cos(arg))
    fap[l1+i] = factor * f[l1+i]
    fap[l2-i] = factor * f[l2-i]
endfor

return,fap
end
